# IO_SegmentPlacer.cpp File Reference

`#include <osgParticle/SegmentPlacer>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`
`#include <osg/Vec3>`
`#include <iostream>`

Include dependency graph for IO_SegmentPlacer.cpp:

## Functions

bool | SegmentPlacer_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | SegmentPlacer_writeLocalData (const osg::Object &obj, osgDB::Output &fw)

## Variables

osgDB::RegisterDotOsgWrapperProxy | SegmentPlacer_Proxy (new osgParticle::SegmentPlacer,"SegmentPlacer","Object Placer SegmentPlacer", SegmentPlacer_readLocalData, SegmentPlacer_writeLocalData)

## Function Documentation

bool SegmentPlacer_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool SegmentPlacer_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy SegmentPlacer_Proxy(new osgParticle::SegmentPlacer,"SegmentPlacer","Object Placer SegmentPlacer", SegmentPlacer_readLocalData, SegmentPlacer_writeLocalData)